View Issue Details

IDProjectCategoryView StatusLast Update
0004559FreeCADBugpublic2021-02-15 20:01
Reporterturn211 Assigned ToKunda1  
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004559: [BIM] Nudge tool Text obscured by overlapping arrow and Nudge Custom Value incorrectly spelled "ew nudge value"
DescriptionNudge tool Text obscured by overlapping arrow and Nudge Custom Value incorrectly spelled "ew nudge value"
Steps To ReproduceOverlapping arrow on text happens in any Stylesheet FreeCAD ships.Does not happen on no stylesheet. Spelling Error in Custom always happens
Tagsstylesheet, UI
FreeCAD InformationOS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.23756 (Git)
Build type: Release
Branch: master
Hash: 9c6e9184930a52b165a0b7274e3a45d1006bfe67
Python version: 3.8.6
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/Canada (en_CA)

Activities

turn211

2021-02-08 17:47

reporter  

Kunda1

2021-02-08 18:48

administrator   ~0015313

Can not locate this in the UI or in the source code. What is the nudge tool?

chennes

2021-02-08 21:24

developer   ~0015314

Pinging @yorik -- this appears to actually be in his BIM code.

Kunda1

2021-02-08 21:32

administrator   ~0015315

chennes identified the bug in https://github.com/yorikvanhavre/BIM_Workbench/blob/7abea63e57aaedc10e64a543766b59a4b426800a/dialogNudgeValue.ui#L20

yorik

2021-02-09 13:02

administrator   ~0015318

The first issue ("ew"->"New") is solved with https://github.com/yorikvanhavre/BIM_Workbench/commit/52e65ee3864a9ff7bcb64844ba2d3732ca5b1720
As for the second issue, I can't reproduce it here, the button takes the size that it needs automatically. Can anyone else confirm or infirm?

turn211

2021-02-09 16:51

reporter   ~0015319

Maybe a Windows only bug. Can Reproduce with any stylesheet FreeCAD ships with. No Stylesheet it is fine.
OS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.23756 (Git)
Build type: Release
Branch: master
Hash: 9c6e9184930a52b165a0b7274e3a45d1006bfe67
Python version: 3.8.6
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/Canada (en_CA)
Maybe_Windows_only.png (12,528 bytes)   
Maybe_Windows_only.png (12,528 bytes)   

turn211

2021-02-09 17:43

reporter   ~0015320

Can reproduce bug on Linux also. Bug is only produced when any FreeCAD stylesheet is applied. No stylesheet no bug. Could be related to https://forum.freecadweb.org/viewtopic.php?p=99677#p99677

yorik

2021-02-10 10:58

administrator   ~0015321

Then it's likely a stylesheet bug, not a BIM WB bug. Probably the stylesheets give a max width value to these statusbar buttons. I'll have a better look

turn211

2021-02-12 17:36

reporter   ~0015333

I fixed the issue on my ProDark Theme https://github.com/turn211/ProDark-FreeCAD-theme/blame/655292a6e3e3791c3c72657689c3766fb1011e74/ProDark.qss#L1918

QToolBar > QPushButton:!checked {
    background-color: #333333; /* Current Working Plane and Nudge */
    border: 1px solid #333333;
    text-align: left;

If someone can add text-align: left; to all the shipping Stylesheets this bug would be squashed.
Nudge_tool_fix.png (14,545 bytes)   
Nudge_tool_fix.png (14,545 bytes)   
Fixed_disappearing_text.png (6,822 bytes)   
Fixed_disappearing_text.png (6,822 bytes)   

Kunda1

2021-02-13 17:24

administrator   ~0015338

Thanks @turn211
Please verify fix: FreeCAD Pull Request 4448

Kunda1

2021-02-14 12:54

administrator   ~0015340

@yorik please merge, thanks

Kunda1

2021-02-14 14:04

administrator   ~0015341

Also sent PR to upstream Behave-dark repo https://github.com/Chrismettal/FreeCAD-Behave-dark/pull/5 which was merged

guest

2021-02-15 18:30

viewer   ~0015348

Fix committed to master branch.

Kunda1

2021-02-15 20:01

administrator   ~0015349

Thanks @turn211 for the fix. FreeCAD master 518a9fcb

Darn sourceintegration plugin isn't closing tickets. Closing manually.

Related Changesets

FreeCAD: master 518a9fcb

2021-02-13 17:19:15

luz paz

Details Diff
Gui: Stylesheet fix applied to all shipped stylesheets [skip ci]

Fixes 0004559
Affected Issues
0004559
mod - src/Gui/Stylesheets/Behave-dark.qss Diff File
mod - src/Gui/Stylesheets/Dark-blue.qss Diff File
mod - src/Gui/Stylesheets/Dark-contrast.qss Diff File
mod - src/Gui/Stylesheets/Dark-green.qss Diff File
mod - src/Gui/Stylesheets/Dark-orange.qss Diff File
mod - src/Gui/Stylesheets/Darker-blue.qss Diff File
mod - src/Gui/Stylesheets/Darker-green.qss Diff File
mod - src/Gui/Stylesheets/Darker-orange.qss Diff File
mod - src/Gui/Stylesheets/Light-blue.qss Diff File
mod - src/Gui/Stylesheets/Light-green.qss Diff File
mod - src/Gui/Stylesheets/Light-orange.qss Diff File

Issue History

Date Modified Username Field Change
2021-02-08 17:47 turn211 New Issue
2021-02-08 17:47 turn211 File Added: Nudge tool spelling and overlapping text.png
2021-02-08 18:48 Kunda1 Note Added: 0015313
2021-02-08 21:24 chennes Note Added: 0015314
2021-02-08 21:32 Kunda1 Note Added: 0015315
2021-02-09 13:02 yorik Note Added: 0015318
2021-02-09 13:02 yorik File Added: Screenshot from 2021-02-09 12-54-31.png
2021-02-09 13:02 yorik File Added: Screenshot from 2021-02-09 13-57-00.png
2021-02-09 13:02 yorik Assigned To => yorik
2021-02-09 13:02 yorik Status new => assigned
2021-02-09 13:02 yorik Summary Nudge tool Text obscured by overlapping arrow and Nudge Custom Value incorrectly spelled "ew nudge value" => [BIM] Nudge tool Text obscured by overlapping arrow and Nudge Custom Value incorrectly spelled "ew nudge value"
2021-02-09 16:51 turn211 Note Added: 0015319
2021-02-09 16:51 turn211 File Added: Maybe_Windows_only.png
2021-02-09 17:43 turn211 Note Added: 0015320
2021-02-10 10:58 yorik Note Added: 0015321
2021-02-10 14:45 Kunda1 Tag Attached: stylesheet
2021-02-12 17:36 turn211 Note Added: 0015333
2021-02-12 17:36 turn211 File Added: Nudge_tool_fix.png
2021-02-12 17:36 turn211 File Added: Fixed_disappearing_text.png
2021-02-13 17:24 Kunda1 Note Added: 0015338
2021-02-14 12:54 Kunda1 Note Added: 0015340
2021-02-14 14:04 Kunda1 Note Added: 0015341
2021-02-15 18:30 Changeset attached => FreeCAD master 518a9fcb
2021-02-15 18:30 guest Note Added: 0015348
2021-02-15 20:01 Kunda1 Assigned To yorik => Kunda1
2021-02-15 20:01 Kunda1 Status assigned => closed
2021-02-15 20:01 Kunda1 Resolution open => fixed
2021-02-15 20:01 Kunda1 Fixed in Version => 0.19
2021-02-15 20:01 Kunda1 Note Added: 0015349
2021-02-15 20:01 Kunda1 Tag Attached: UI